region         = "us-gov-west-1"
disaster_zones = ["us-gov-west-1a", "us-gov-west-1b"]

vpc_cidr      = "10.1.0.0/16"
private_cidrs = ["10.1.2.0/24", "10.1.3.0/24", "10.1.4.0/24", "10.1.5.0/24"]
public_cidrs  = ["10.1.0.0/24", "10.1.1.0/24"]
exposed_ports = ["80", "22"]

ec2_template = [
  {
    hostname   = "bastion1"
    ami        = "winami"
    elastic_ip = false
    family     = "t3a.medium"
    disksize   = "50"
    subnet     = "10.1.0.0/24"
  },
  {
    hostname   = "wpserver1"
    ami        = "rhelami"
    elastic_ip = false
    family     = "t3a.micro"
    disksize   = "20"
    subnet     = "10.1.2.0/24"
  },
  {
    hostname   = "wpserver2"
    ami        = "rhelami"
    elastic_ip = false
    family     = "t3a.micro"
    disksize   = "20"
    subnet     = "10.1.3.0/24"
  }
]

db_template = [
  {
    name           = "rds1"
    engine         = "postgres"
    engine_version = 11
    class          = "db.t3.micro"
    family         = "postgres"
    subnet         = "10.1.5.0/24"
  }
]

ssh_public_key = "sooper sekrit"

tags = {
  lob              = "cloud"
  owner            = "matt@coalfire.com"
  environment      = "dev"
  open_to_internet = "true"
  builder          = "terraform"
  project          = "coalfire-3tier"
}
